summaryrefslogtreecommitdiffstats
path: root/ubuntu/_base/defaultsettings/desktop-base/debian/usplash-theme-debian-desktop-trinity.postinst
diff options
context:
space:
mode:
authorMichele Calgaro <[email protected]>2019-04-03 23:02:46 +0900
committerMichele Calgaro <[email protected]>2019-04-03 23:02:46 +0900
commitfcad8b8d150fb9f508973e3044a103de74ec3877 (patch)
treeca34a8cf3bfbe08335d40c47863b4901e1d19609 /ubuntu/_base/defaultsettings/desktop-base/debian/usplash-theme-debian-desktop-trinity.postinst
parent5d8ed1fab813d86b04383f7fcf8ab2c994cbea30 (diff)
downloadtde-packaging-fcad8b8d150fb9f508973e3044a103de74ec3877.tar.gz
tde-packaging-fcad8b8d150fb9f508973e3044a103de74ec3877.zip
DEB: use _base folder for a distro instead of specific distros (squeeze and maverick).
Signed-off-by: Michele Calgaro <[email protected]>
Diffstat (limited to 'ubuntu/_base/defaultsettings/desktop-base/debian/usplash-theme-debian-desktop-trinity.postinst')
-rw-r--r--ubuntu/_base/defaultsettings/desktop-base/debian/usplash-theme-debian-desktop-trinity.postinst30
1 files changed, 30 insertions, 0 deletions
diff --git a/ubuntu/_base/defaultsettings/desktop-base/debian/usplash-theme-debian-desktop-trinity.postinst b/ubuntu/_base/defaultsettings/desktop-base/debian/usplash-theme-debian-desktop-trinity.postinst
new file mode 100644
index 000000000..8b26fd83c
--- /dev/null
+++ b/ubuntu/_base/defaultsettings/desktop-base/debian/usplash-theme-debian-desktop-trinity.postinst
@@ -0,0 +1,30 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+ configure)
+ # Alternatives for usplash
+ update-alternatives --install \
+ /usr/lib/usplash/usplash-artwork.so \
+ usplash-artwork.so \
+ /usr/lib/usplash/moreblue-orbit-theme.so 60
+
+ if [ -x /usr/sbin/update-initramfs ]; then
+ update-initramfs -u
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0